Add Contacts to a Sequence

Use the Add Contacts to a Sequence endpoint to add contacts to the existing sequences in your team's Apollo account.

In Apollo terminology, a contact is a person that your team has explicitly added to your database. Only contacts can be added to sequences. To enrich a person's data, call the People Enrichment endpoint. Then, to add the person as a contact in your database, call the Create a Contact endpoint.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a 403 response. Refer to Create API Keys to learn how to create a master API key.

Path Params
string
required

The Apollo ID for the sequence to which you want to add contacts.

To find sequence IDs, call the Search for Sequences endpoint and identify the id value for the sequence.

Example: 66e9e215ece19801b219997f

Query Params
string
required

The same ID as the sequence_id.

Example: 66e9e215ece19801b219997f

contact_ids[]
array of strings

The Apollo IDs for the contacts that you want to add to the sequence.

To find contact IDs, call the Search for Contacts endpoint and identify the id value for the contact.

Example: 66e34b81740c50074e3d1bd4

Note: Either contact_ids[] or label_names[] must be provided.

contact_ids[]
label_names[]
array of strings

Alternative to contact_ids[]. Array of label names to identify contacts to add to the sequence. Contacts with these labels will be added to the sequence.

Note: Either contact_ids[] or label_names[] must be provided.

label_names[]
string
required

The Apollo ID for the email account that you want to use to send emails to the contacts you are adding to the sequence.

To find email account IDs, call the Get a List of Email Accounts endpoint and identify the id value for the email account.

Example: 6633baaece5fbd01c791d7ca

string

Optional specific email address to send from within the email account.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence even if they do not have an email address.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence if they have an unverified email address.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence even if they have recently changed jobs.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence even if they have been added to other sequences. This parameter does not differentiate between active and paused sequences.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence if they have been marked as finished in another sequence.

boolean
Defaults to false

Set to true if you want to add contacts to the sequence even if other contacts from the same company are already in the sequence.

boolean
Defaults to false

Set to true if you want to add contacts even if you don't have ownership permission for them.

boolean
Defaults to false

Set to true if you want to add contacts even if they are currently in the queue for processing.

boolean
Defaults to false

Set to true if you want to skip contact verification during the addition process.

string

The ID for the user in your team's Apollo account.

This is the user taking the action to add contacts to a sequence. When the sequence is updated, the activity log shows the user that added the contacts.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: 66302798d03b9601c7934ebf

string
enum

Initial status for added contacts. When set to paused along with auto_unpause_at, enables scheduled addition of contacts.

Allowed:
date-time

DateTime when paused contacts should be automatically unpaused. Must be used with status=paused. Format: ISO 8601 datetime string.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain